<?php
/*

Copyright (c)2002-2003 DuckCorp(tm) and RtpNet(tm)



This file is part of LMS.

LMS is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

LMS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with LMS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

	function manage_preprocess()
	{
		global $error, $entry, $entry2;

		get_from_multientry("ipserviceport", "port");
		get_from_multientry("dnsalias", "dnsalias");
	}

	function manage_check_validity()
	{       
		global $error, $entry, $entry2, $object;

		manage_check_validity_1();
		if (!$error)
			if ($entry2[old_cn]!=$entry[cn][0])
				manage_check_validity_2();
	}

	function manage_check_validity_1()
	{
		global $error, $entry, $entry2, $object;

		test_attribute_required("Service Name", "cn");
		if (!$error)
			test_attribute_without_space("Service Name", "cn");

		test_attribute_required("Server Name", "primaryservername");

		if (!$entry2[port])
		{
			print("<TR><TD class=col3 colspan=2>You must specify a Port number</TD></TR>");
			$error=true;
		}
		
		test_attribute_required("Description", "description");
	}

	function manage_check_validity_2()
	{
		global $error, $entry, $ds, $config, $serviceslist;

		if (in_array($entry["cn"][0], $serviceslist))
		{
			print("<TR><TD class=col3 colspan=2>This Name is already Used by another Service</TD></TR>");
			$error=true;
		}
	}

	function manage_process()
	{
	}

	function manage_propagate_changes()
	{       
		global $ds, $config, $entry, $entry2, $object;

		if ($entry2[old_cn]!=$entry[cn][0])
		{
			propagate_changes("suscribedService", $entry2[old_cn], $entry[cn][0]);
		}
	}

	$oldkey_manage="old_cn";
	$key_manage="cn";
?>
